You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@arrow.apache.org by li...@apache.org on 2022/05/04 12:06:58 UTC

[arrow] branch master updated: MINOR: [Release] Use CONDA_ENV instead of VENV_ENV when creating conda environments

This is an automated email from the ASF dual-hosted git repository.

lidavidm pushed a commit to branch master
in repository https://gitbox.apache.org/repos/asf/arrow.git


The following commit(s) were added to refs/heads/master by this push:
     new 8887ecdb41 MINOR: [Release] Use CONDA_ENV instead of VENV_ENV when creating conda environments
8887ecdb41 is described below

commit 8887ecdb4123db24a0d624f84e07a6b7132208ff
Author: Krisztián Szűcs <sz...@gmail.com>
AuthorDate: Wed May 4 08:06:39 2022 -0400

    MINOR: [Release] Use CONDA_ENV instead of VENV_ENV when creating conda environments
    
    Closes #13061 from kszucs/conda_env
    
    Authored-by: Krisztián Szűcs <sz...@gmail.com>
    Signed-off-by: David Li <li...@gmail.com>
---
 dev/release/verify-release-candidate.sh | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/dev/release/verify-release-candidate.sh b/dev/release/verify-release-candidate.sh
index b1dfac4c65..92f4da4aac 100755
--- a/dev/release/verify-release-candidate.sh
+++ b/dev/release/verify-release-candidate.sh
@@ -988,7 +988,7 @@ test_linux_wheels() {
     local pyver=${python/m}
     for platform in ${platform_tags}; do
       show_header "Testing Python ${pyver} wheel for platform ${platform}"
-      VENV_ENV=wheel-${pyver}-${platform} PYTHON_VERSION=${pyver} maybe_setup_conda || exit 1
+      CONDA_ENV=wheel-${pyver}-${platform} PYTHON_VERSION=${pyver} maybe_setup_conda || exit 1
       VENV_ENV=wheel-${pyver}-${platform} PYTHON_VERSION=${pyver} maybe_setup_virtualenv || continue
       pip install pyarrow-${VERSION}-cp${pyver/.}-cp${python/.}-${platform}.whl
       INSTALL_PYARROW=OFF ${ARROW_SOURCE_DIR}/ci/scripts/python_wheel_unix_test.sh ${ARROW_SOURCE_DIR}
@@ -1019,7 +1019,7 @@ test_macos_wheels() {
         check_s3=OFF
       fi
 
-      VENV_ENV=wheel-${pyver}-${platform} PYTHON_VERSION=${pyver} maybe_setup_conda || exit 1
+      CONDA_ENV=wheel-${pyver}-${platform} PYTHON_VERSION=${pyver} maybe_setup_conda || exit 1
       VENV_ENV=wheel-${pyver}-${platform} PYTHON_VERSION=${pyver} maybe_setup_virtualenv || continue
 
       pip install pyarrow-${VERSION}-cp${pyver/.}-cp${python/.}-${platform}.whl